var buttons = require('sdk/ui/button/action');
var self = require("sdk/self");

// Add action button
var button = buttons.ActionButton({
  id: "mozilla-link",
  label: "Visit Mozilla",
  icon: {
    "16": "./icon-16.png",
    "32": "./icon-32.png",
    "64": "./icon-64.png"
  },
  onClick: handleClick
});





// Add panel
var panel = require("sdk/panel").Panel({
	contentURL: self.data.url("popup.html"),
	contentScriptFile: self.data.url("component.js"),
});


// Open panel on button click
function handleClick(state) {
	panel.show({
		width:400,
		height:310,
		position: button
    });
}


panel.port.on("click-search", function() {
  panel.hide();
});